fop 1.1

## org.apache.fop.afp.util
Interface ResourceAccessor

All Known Implementing Classes:
  DefaultFOPResourceAccessor, SimpleResourceAccessor

    public interface ResourceAccessor

Defines an interface through which external resource objects can be accessed.

Method Summary
`java.io.InputStream` `createInputStream(java.net.URI uri)` Creates a new `InputStream` for the given URI that allows read access to an external resource.

Method Detail

### createInputStream

    java.io.InputStream createInputStream(java.net.URI uri)
                                          throws java.io.IOException

  Creates a new `InputStream` for the given URI that allows read access to an external resource.

  Parameters:
    `uri` - the URI of an external resource.
  Returns:
    the new input stream
  Throws:
    `java.io.IOException` - if an I/O error occurs while opening the resource

fop 1.1

Copyright 1999-2012 The Apache Software Foundation. All Rights Reserved.